DPGEN_XNOR2(3)

NAME
DPGEN_XNOR2 - XNOR2 Macro-Generator

SYNOPSIS

#include <genlib.h>

void GENLIB_MACRO (DPGEN_XNOR2, char *modelname, long flags, long N, long drive);

DESCRIPTION

Generate a N bits two inputs exclusive NOR with an output power of drive named modelname.

Valid drive are : 1 or 4.

  TERMINAL NAMES

1.  i1 : input.

2.  i0 : input.

3.  nq : output.

4.  vdd : power.

5.  vss : ground.

  BEHAVIOR
nq <= not(i0 xor i1)

EXAMPLE

GENLIB_MACRO(DPGEN_XNOR2, "model_xnor2_32"
                        , F_BEHAV|F_PLACE
                        , 32
                        , 1
                        );
GENLIB_LOINS( "model_xnor2_32"
            , "instance1_xnor2_32"
            , "i1[31:0]"
            , "i0[31:0]"
            , "nq[31:0]"
            , "vdd", "vss", NULL
            );

SEE ALSO

GENLIB_MACRO(3), genlib(1)